.services {
  background-color: white;
}

.article {
  margin-top: 72px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-direction: column;
}

.card-head {
  margin-top: 44px;
  margin-bottom: 72px;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  flex-direction: column;
}

.card-head p {
  color: var(--color-primary);
  margin-bottom: 16px;
}

.card h3 {
  margin-bottom: 16px;
}

.card-head p {
  margin-top: 44px;
  width: 500px;
}

.card-grid {
  width: 100%;
  display: grid;
  gap: 3rem;
  grid-template-columns: repeat(auto-fit, 27rem);
  justify-content: center; /* horizontal */
  align-items: stretch; /* Kartenhöhe ausrichten */
}

.card {
  margin-bottom: 32px;
  border-radius: 8px;
  box-shadow: 4px 4px 8px rgba(128, 128, 128, 0.5);
  padding: 32px;
}

.card li {
  list-style: none;
  border-bottom: 1px solid rgba(128, 128, 128, 0.336);
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 8px;
  padding: 8px 0;
}

.card li:last-child {
  border-bottom: none;
}

.card-content {
  display: flex;
  gap: 16px;
  margin-bottom: 32px;
}

.card-content p {
  color: grey;
}

.card-img {
  margin-bottom: 24px;
  width: 100%;
  height: 320px;
  object-fit: cover;
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
  border-top-right-radius: 8px;
}

.services-cta {
  margin: 32px 0px;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 8px;
}

.services-cta a {
  border-color: var(--color-primary);
  border-radius: 8px;
  border-bottom-left-radius: 0;
  transition: all 0.3s;
}

.services-cta a:hover {
  border-color: rgba(128, 128, 128, 0.336);
  border-radius: 16px;
  border-bottom-left-radius: 0;
  background-color: rgba(128, 128, 128, 0.336);
}

/* ===========================
   Responsives Design (Breakpoints)
   Range: 320px – 1920px
=========================== */
@media (max-width: 1820px) {
  .card-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* Extra Large Devices (1200px – 1599px) */
@media (min-width: 1200px) and (max-width: 1599px) {
  .card-grid {
    grid-template-columns: repeat(3, 1fr);
  }

  .services {
    padding: 0 72px;
  }
}

/* Large Devices (992px – 1199px) */
@media (min-width: 992px) and (max-width: 1199px) {
  .card-grid {
    grid-template-columns: repeat(1, 1fr);
  }
}

/* Medium Devices (768px – 991px) */
@media (min-width: 768px) and (max-width: 991px) {
  .card-grid {
    grid-template-columns: repeat(1, 1fr);
  }
}

/* Small Devices (576px – 767px) */
@media (min-width: 576px) and (max-width: 767px) {
  .card-grid {
    grid-template-columns: repeat(1, 1fr);
    gap: 0;
  }
  .card-head p {
    margin-top: 44px;
    width: 320px;
  }
}

/* Extra Small Smartphones (320px – 575px) */
@media (max-width: 575px) {
    .card-head p {
    width: 100%;
  }

  .card-grid {
    grid-template-columns: repeat(1, 1fr);
    gap: 0;
  }

  .services {
    margin-top: 0;
  }
  .card {
    padding: 18px;
  }
  .card-head {
    margin-bottom: 32px;
    margin-top: 0;
  }
  .card-grid {
    grid-template-columns: repeat(1, 1fr);
  }
  .card-head p {
    margin-top: 28px;
  }

  .services-cta {
    margin-top: 16px;
  }
}

@media (max-width: 370px) {
  .card-img {
    height: 260px;
  }
}
